package com.hc.tripbusiness.mapper;

import com.hc.tripbusiness.model.Users;
import com.hc.tripcore.utils.mapper.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * (Users)表数据库访问层
 *
 * @author java
 * @since 2021-04-25 17:45:10
 */

@Repository
public interface UsersMapper extends Mapper<Users> {

    /**
     * 通过用户openid 获取用户信息
     *
     * @param openId 微信用户标识
     * @return 实例对象数组
     */
    List<Users> selectUserByOpenId(String openId);

}
