package com.hc.tripbusiness.model;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.NotNull;


/**
 * 广告表
 * (Banner)实体类
 *
 * @author java
 * @since 2021-04-30 14:19:19
 */

@Data
public class Banner implements Serializable {

    private static final long serialVersionUID = 667839688154296150L;


    /**
     * ID主键
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "ID主键")
    private Integer bannerId;

    /**
     * 主题
     */
    @ApiModelProperty(value = "主题", required = true)
    @NotNull
    private String bannerTitle;

    /**
     * 广告连接
     */
    @ApiModelProperty(value = "广告连接", required = true)
    @NotNull
    private String bannerUrl;

    /**
     * 索引
     */
    @ApiModelProperty(value = "索引")
    private Integer bannerIndex;

    /**
     * 点击后跳转的目的链接
     */
    @ApiModelProperty(value = "点击后跳转的目的链接", required = true)
    private String targetUrl;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    private Long updateTime;
}
