package com.hc.tripbusiness.model;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.NotNull;


/**
 * 新闻表
 * (News)实体类
 *
 * @author java
 * @since 2021-04-30 14:03:22
 */

@Data
public class News implements Serializable {

    private static final long serialVersionUID = 235012938178936468L;


    /**
     * 新闻id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "新闻id")
    private Integer newsId;

    /**
     * 标题
     */
    @ApiModelProperty(value = "标题", required = true)
    @NotNull
    private String newsTitle;

    /**
     * 标题配图
     */
    @ApiModelProperty(value = "标题配图", required = true)
    @NotNull
    private String newsLogo;

    /**
     * 新闻内容
     */
    @ApiModelProperty(value = "新闻内容", required = true)
    @NotNull
    private String newsContent;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    private Long updateTime;
}
