package com.hc.tripbusiness.model;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.NotNull;


/**
 * 新闻标签表(NewsTag)实体类
 *
 * @author java
 * @since 2021-04-30 14:03:24
 */

@Data
public class NewsTag implements Serializable {

    private static final long serialVersionUID = -39154458050657705L;


    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键id")
    private Integer tagId;

    /**
     * 类别名称
     */
    @ApiModelProperty(value = "类别名称", required = true)
    @NotNull
    private String tagName;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    private Long updateTime;
}
