package com.hc.tripbusiness.model;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.NotNull;


/**
 * 景点表(Scenery)实体类
 *
 * @author java
 * @since 2021-04-25 09:27:39
 */

@Data
@ApiModel(value = "景点表")
public class Scenery implements Serializable {

    private static final long serialVersionUID = 912947094192635315L;


    /**
     * 主键
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键")
    private Integer sceneryId;

    /**
     * 景区名称
     */
    @ApiModelProperty(value = "景区名称", required = true)
    @NotNull
    private String sceneryName;

    /**
     * 景点公告
     */
    @ApiModelProperty(value = "景点公告", required = true)
    private String sceneryNotes;

    /**
     * 景点排序
     */
    @ApiModelProperty(value = "景点排序")
    private Integer sceneryIndex;

    /**
     * 景点介绍
     */
    @ApiModelProperty(value = "景点介绍", required = true)
    private String sceneryIntroduce;

    /**
     * 景点Logo
     */
    @ApiModelProperty(value = "景点Logo", required = true)
    private String sceneryLogo;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    private Long updateTime;

    /**
     * 开放时间
     */
    @ApiModelProperty(value = "开放时间")
    private Long startTime;

    /**
     * 结束时间
     */
    @ApiModelProperty(value = "结束时间")
    private Long endTime;

    /**
     * 联系电话
     */
    @ApiModelProperty(value = "联系电话")
    private String phone;

    /**
     * 官网
     */
    @ApiModelProperty(value = "官网")
    private String website;

    /**
     * 交通
     */
    @ApiModelProperty(value = "交通")
    private String traffic;
}
