package com.hc.tripbusiness.model;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.validation.constraints.NotNull;


/**
 * 景点图片表(SceneryPicture)实体类
 *
 * @author java
 * @since 2021-04-27 15:26:10
 */

@Data
@ApiModel(value = "景点图片表")
public class SceneryPicture implements Serializable {

    private static final long serialVersionUID = -40027829476880747L;


    /**
     * 主键
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键")
    private Integer sceneryPictureId;

    /**
     * 图片名称
     */
    @ApiModelProperty(value = "图片名称", required = true)
    private String pictureName;

    /**
     * 图片地址
     */
    @ApiModelProperty(value = "图片地址", required = true)
    private String pictureUrl;

    /**
     * 图片介绍
     */
    @ApiModelProperty(value = "图片介绍", required = true)
    private String pictureIntroduce;

    /**
     * 图片排序
     */
    @ApiModelProperty(value = "图片排序")
    private Integer pictureIndex;

    /**
     * 景区id
     */
    @ApiModelProperty(value = "景区id", required = true)
    @NotNull
    private Integer sceneryId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    private Long updateTime;
}
