package com.hc.tripbusiness.model;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import javax.persistence.Id;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.validation.constraints.NotNull;


/**
 * 景点标签(SceneryTag)实体类
 *
 * @author java
 * @since 2021-04-27 15:26:10
 */

@Data
@ApiModel(value = "景点标签表")
public class SceneryTag implements Serializable {

    private static final long serialVersionUID = -57206923209950362L;


    /**
     * 主键
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键")
    private Integer sceneryTagId;

    /**
     * 景区标签
     */
    @ApiModelProperty(value = "景区标签", required = true)
    @NotNull
    private String tagName;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    private Long updateTime;
}
