package com.hc.tripbusiness.model;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import javax.persistence.Id;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.validation.constraints.NotNull;


/**
 * 景点门票表(SceneryTickets)实体类
 *
 * @author java
 * @since 2021-04-25 09:34:29
 */

@Data
@ApiModel(value = "门票表")
public class SceneryTickets implements Serializable {

    private static final long serialVersionUID = -56795734829011871L;


    /**
     * 主键
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键", required = true)
    private Integer sceneryTicketId;

    /**
     * 景区门票类型
     */
    @ApiModelProperty(value = "景区门票类型", required = true)
    @NotNull
    private Integer ticketsTypeId;

    /**
     * 门票名字
     */
    @ApiModelProperty(value = "门票名字", required = true)
    private String ticketsName;

    /**
     * 门票价格
     */
    @ApiModelProperty(value = "门票价格", required = true)
    private Double ticketsPrice;

    /**
     * 门票介绍
     */
    @ApiModelProperty(value = "门票介绍", required = true)
    private String ticketIntroduce;

    /**
     * 门票logo
     */
    @ApiModelProperty(value = "门票logo", required = true)
    private String ticketsLogo;

    /**
     * 景区id
     */
    @ApiModelProperty(value = "景区id", required = true)
    @NotNull
    private Integer sceneryId;

    /**
     * 销售数量
     */
    @ApiModelProperty(value = "销售数量 ", required = true)
    private Integer ticketSellNum;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    private Long updateTime;
}
