package com.hc.tripbusiness.model;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Id;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.validation.constraints.NotNull;


/**
 * 景点视频表(SceneryVideo)实体类
 *
 * @author java
 * @since 2021-04-27 15:26:47
 */

@Data
@ApiModel(value = "景点视频表")
public class SceneryVideo implements Serializable {

    private static final long serialVersionUID = -13473191696203048L;


    /**
     * 主键
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键")
    private Integer sceneryVideoId;

    /**
     * 视频名称
     */
    @ApiModelProperty(value = "视频名称", required = true)
    @NotNull
    private String videoName;

    /**
     * 视频介绍
     */
    @ApiModelProperty(value = "视频介绍", required = true)
    private String videoIntroduce;

    /**
     * 排序字段
     */
    @ApiModelProperty(value = "排序字段")
    private Integer videoIndex;

    /**
     * 资源地址
     */
    @ApiModelProperty(value = "资源地址", required = true)
    private String videoUrl;

    /**
     * 外键
     */
    @ApiModelProperty(value = "外键", required = true)
    @NotNull
    private Integer sceneryId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    private Long updateTime;
}
