package com.hc.tripbusiness.model;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;


/**
 * 订单详情表(UserOrderDetail)实体类
 *
 * @author java
 * @since 2021-04-30 17:01:27
 */

@Data
public class UserOrderDetail implements Serializable {

    private static final long serialVersionUID = 884717817060295517L;


    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键id")
    private Integer orderDetailId;

    /**
     * 订单id
     */
    @ApiModelProperty(value = "订单id", required = true)
    private Integer orderId;

    /**
     * 门票id
     */
    @ApiModelProperty(value = "门票id", required = true)
    private Integer sceneryTicketId;

    /**
     * 购买数量
     */
    @ApiModelProperty(value = "购买数量", required = true)
    private Integer num;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    private Long updateTime;
}
