package com.hc.tripbusiness.model;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import tk.mybatis.mapper.annotation.Version;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;


/**
 * 订单表(UserOrders)实体类
 *
 * @author java
 * @since 2021-04-30 17:01:29
 */

@Data
public class UserOrders implements Serializable {

    private static final long serialVersionUID = 654720203617863422L;


    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键id")
    private Integer ordersId;

    /**
     * 订单号
     */
    @ApiModelProperty(value = "订单号", required = true)
    private String orderNo;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id", required = true)
    private Integer userId;

    /**
     * 商品介绍
     */
    @ApiModelProperty(value = "商品介绍", required = true)
    private String body;

    /**
     * 订单名称
     */
    @ApiModelProperty(value = "订单名称", required = true)
    private String subject;

    /**
     * 订单总金额
     */
    @ApiModelProperty(value = "订单总金额", required = true)
    private Double totalAmount;

    /**
     * 订单状态
     */
    @ApiModelProperty(value = "订单状态", required = true)
    private Integer orderStatus;

    /**
     * 是否删除
     */
    @ApiModelProperty(value = "是否删除", required = true)
    private Integer isDe;

    /**
     * 支付宝交易号
     */
    @ApiModelProperty(value = "支付宝交易号", required = true)
    private String aliTradeNo;

    /**
     * 微信交易号
     */
    @ApiModelProperty(value = "微信交易号", required = true)
    private String wxTradeNo;

    /**
     * 发票id
     */
    @ApiModelProperty(value = "发票id", required = true)
    private Integer userInvoicesId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    private Long updateTime;

    /**
     * 乐观锁
     */
    @ApiModelProperty(value = "乐观锁")
    @Version
    private Integer version;
}
