package com.hc.tripbusiness.model;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import tk.mybatis.mapper.annotation.Version;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;


/**
 * 用户门票(UserTickets)实体类
 *
 * @author java
 * @since 2021-04-30 17:01:30
 */

@Data
public class UserTickets implements Serializable {

    private static final long serialVersionUID = 689996508632270417L;


    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键id")
    private Integer userTicketsId;

    /**
     * 门票id
     */
    @ApiModelProperty(value = "门票id", required = true)
    private String sceneryTicketId;

    /**
     * 票密码(保留)
     */
    @ApiModelProperty(value = "票密码(保留)", required = true)
    private String ticketsPass;

    /**
     * 票号
     */
    @ApiModelProperty(value = "票号", required = true)
    private String ticketsNo;

    /**
     * 二维码地址
     */
    @ApiModelProperty(value = "二维码地址", required = true)
    private String ticketsCode;

    /**
     * 门票得有效期时间
     */
    @ApiModelProperty(value = "门票得有效期时间", required = true)
    private Long ticketsTime;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id", required = true)
    private Integer userId;

    /**
     * 是否使用
     */
    @ApiModelProperty(value = "是否使用", required = true)
    private Boolean isUse;

    /**
     * 使用时间戳
     */
    @ApiModelProperty(value = "使用时间戳", required = true)
    private Long usedTime;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    /**
     * 修改时间
     */
    @ApiModelProperty(value = "修改时间")
    private Long updateTime;

    /**
     * 乐观锁
     */
    @ApiModelProperty(value = "乐观锁")
    @Version
    private Integer version;
}
