package com.hc.tripbusiness.model;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;


/**
 * (Users)实体类
 *
 * @author java
 * @since 2021-04-27 14:47:03
 */

@Data
@ApiModel(value = "用户表")
public class Users implements Serializable {

    private static final long serialVersionUID = 942617439502094031L;


    /**
     * 主键
     */
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @ApiModelProperty(value = "主键")
    private Long id;

    /**
     * 用户名
     */
    @ApiModelProperty(value = "用户名")
    private String username;

    /**
     * 密码
     */
    @ApiModelProperty(value = "密码")
    private String password;

    /**
     * 微信用户标识
     */
    @ApiModelProperty(value = "微信用户标识", required = true)
    private String openid;

    /**
     * 用户头像
     */
    @ApiModelProperty(value = "用户头像")
    private String userLogo;

    /**
     * 社区昵称
     */
    @ApiModelProperty(value = "社区昵称")
    private String nickname;

    /**
     * 性别
     */
    @ApiModelProperty(value = "性别")
    private String gender;
}
