package com.hc.tripbusiness.service;

import com.github.pagehelper.PageInfo;
import com.hc.tripbusiness.model.NewsTagRelax;
import org.springframework.stereotype.Component;


/**
 * (NewsTagRelax)表服务接口
 *
 * @author java
 * @since 2021-04-30 14:03:25
 */

@Component
public interface NewsTagRelaxService {

    /**
     * 通过ID查询单条数据
     *
     * @param newsTagRelaxId 主键
     * @return 实例对象
     */
    NewsTagRelax queryById(Integer newsTagRelaxId);

    /**
     * 新增数据
     *
     * @param newsTagRelax 实例对象
     * @return 实例对象
     */
    NewsTagRelax insert(NewsTagRelax newsTagRelax);

    /**
     * 修改数据
     *
     * @param newsTagRelax 实例对象
     * @return 实例对象
     */
    NewsTagRelax update(NewsTagRelax newsTagRelax);

    /**
     * 通过主键删除数据
     *
     * @param newsTagRelaxId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer newsTagRelaxId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);


}
