package com.hc.tripbusiness.service;

import com.github.pagehelper.PageInfo;
import com.hc.tripbusiness.model.NewsTag;
import org.springframework.stereotype.Component;


/**
 * 新闻标签表(NewsTag)表服务接口
 *
 * @author java
 * @since 2021-04-30 14:03:24
 */

@Component
public interface NewsTagService {

    /**
     * 通过ID查询单条数据
     *
     * @param tagId 主键
     * @return 实例对象
     */
    NewsTag queryById(Integer tagId);

    /**
     * 新增数据
     *
     * @param newsTag 实例对象
     * @return 实例对象
     */
    NewsTag insert(NewsTag newsTag);

    /**
     * 修改数据
     *
     * @param newsTag 实例对象
     * @return 实例对象
     */
    NewsTag update(NewsTag newsTag);

    /**
     * 通过主键删除数据
     *
     * @param tagId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer tagId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);


}
