package com.hc.tripbusiness.service;

import com.github.pagehelper.PageInfo;
import com.hc.tripbusiness.model.SceneryPicture;
import org.springframework.stereotype.Component;


/**
 * 景点图片表(SceneryPicture)表服务接口
 *
 * @author java
 * @since 2021-04-27 15:26:10
 */

@Component
public interface SceneryPictureService {

    /**
     * 通过ID查询单条数据
     *
     * @param sceneryPictureId 主键
     * @return 实例对象
     */
    SceneryPicture queryById(Integer sceneryPictureId);

    /**
     * 新增数据
     *
     * @param sceneryPicture 实例对象
     * @return 实例对象
     */
    SceneryPicture insert(SceneryPicture sceneryPicture);

    /**
     * 修改数据
     *
     * @param sceneryPicture 实例对象
     * @return 实例对象
     */
    SceneryPicture update(SceneryPicture sceneryPicture);

    /**
     * 通过主键删除数据
     *
     * @param sceneryPictureId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer sceneryPictureId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);


}
