package com.hc.tripbusiness.service;

import com.github.pagehelper.PageInfo;
import com.hc.tripbusiness.model.Scenery;
import org.springframework.stereotype.Component;


/**
 * 景点表(Scenery)表服务接口
 *
 * @author java
 * @since 2021-04-25 09:27:40
 */

@Component
public interface SceneryService {

    /**
     * 通过ID查询单条数据
     *
     * @param sceneryId 主键
     * @return 实例对象
     */
    Scenery queryById(Integer sceneryId);

    /**
     * 新增数据
     *
     * @param scenery 实例对象
     * @return 实例对象
     */
    Scenery insert(Scenery scenery);

    /**
     * 修改数据
     *
     * @param scenery 实例对象
     * @return 实例对象
     */
    Scenery update(Scenery scenery);

    /**
     * 通过主键删除数据
     *
     * @param sceneryId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer sceneryId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);


}
