package com.hc.tripbusiness.service;

import com.github.pagehelper.PageInfo;
import com.hc.tripbusiness.model.SceneryTag;
import org.springframework.stereotype.Component;


/**
 * 景点标签(SceneryTag)表服务接口
 *
 * @author java
 * @since 2021-04-27 15:26:11
 */

@Component
public interface SceneryTagService {

    /**
     * 通过ID查询单条数据
     *
     * @param sceneryTagId 主键
     * @return 实例对象
     */
    SceneryTag queryById(Integer sceneryTagId);

    /**
     * 新增数据
     *
     * @param sceneryTag 实例对象
     * @return 实例对象
     */
    SceneryTag insert(SceneryTag sceneryTag);

    /**
     * 修改数据
     *
     * @param sceneryTag 实例对象
     * @return 实例对象
     */
    SceneryTag update(SceneryTag sceneryTag);

    /**
     * 通过主键删除数据
     *
     * @param sceneryTagId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer sceneryTagId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);


}
