package com.hc.tripbusiness.service;

import com.github.pagehelper.PageInfo;
import com.hc.tripbusiness.model.SceneryTickets;
import org.springframework.stereotype.Component;


/**
 * 景点门票表(SceneryTickets)表服务接口
 *
 * @author java
 * @since 2021-04-25 09:34:29
 */

@Component
public interface SceneryTicketsService {

    /**
     * 通过ID查询单条数据
     *
     * @param sceneryTicketId 主键
     * @return 实例对象
     */
    SceneryTickets queryById(Integer sceneryTicketId);

    /**
     * 新增数据
     *
     * @param sceneryTickets 实例对象
     * @return 实例对象
     */
    SceneryTickets insert(SceneryTickets sceneryTickets);

    /**
     * 修改数据
     *
     * @param sceneryTickets 实例对象
     * @return 实例对象
     */
    SceneryTickets update(SceneryTickets sceneryTickets);

    /**
     * 通过主键删除数据
     *
     * @param sceneryTicketId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer sceneryTicketId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);


}
