package com.hc.tripbusiness.service;

import com.github.pagehelper.PageInfo;
import com.hc.tripbusiness.model.SceneryTicketsType;
import org.springframework.stereotype.Component;


/**
 * 门票类型表(SceneryTicketsType)表服务接口
 *
 * @author java
 * @since 2021-04-25 09:39:56
 */

@Component
public interface SceneryTicketsTypeService {

    /**
     * 通过ID查询单条数据
     *
     * @param ticketsTypeId 主键
     * @return 实例对象
     */
    SceneryTicketsType queryById(Integer ticketsTypeId);

    /**
     * 新增数据
     *
     * @param sceneryTicketsType 实例对象
     * @return 实例对象
     */
    SceneryTicketsType insert(SceneryTicketsType sceneryTicketsType);

    /**
     * 修改数据
     *
     * @param sceneryTicketsType 实例对象
     * @return 实例对象
     */
    SceneryTicketsType update(SceneryTicketsType sceneryTicketsType);

    /**
     * 通过主键删除数据
     *
     * @param ticketsTypeId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer ticketsTypeId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);


}
