package com.hc.tripbusiness.service;

import com.github.pagehelper.PageInfo;
import com.hc.tripbusiness.model.SceneryVideo;
import org.springframework.stereotype.Component;


/**
 * 景点视频表(SceneryVideo)表服务接口
 *
 * @author java
 * @since 2021-04-27 15:26:48
 */

@Component
public interface SceneryVideoService {

    /**
     * 通过ID查询单条数据
     *
     * @param sceneryVideoId 主键
     * @return 实例对象
     */
    SceneryVideo queryById(Integer sceneryVideoId);

    /**
     * 新增数据
     *
     * @param sceneryVideo 实例对象
     * @return 实例对象
     */
    SceneryVideo insert(SceneryVideo sceneryVideo);

    /**
     * 修改数据
     *
     * @param sceneryVideo 实例对象
     * @return 实例对象
     */
    SceneryVideo update(SceneryVideo sceneryVideo);

    /**
     * 通过主键删除数据
     *
     * @param sceneryVideoId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer sceneryVideoId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);


}
