package com.hc.tripbusiness.service;

import com.github.pagehelper.PageInfo;
import com.hc.tripbusiness.model.UserOrderDetail;
import org.springframework.stereotype.Component;


/**
 * 订单详情表(UserOrderDetail)表服务接口
 *
 * @author java
 * @since 2021-04-30 17:01:28
 */

@Component
public interface UserOrderDetailService {

    /**
     * 通过ID查询单条数据
     *
     * @param orderDetailId 主键
     * @return 实例对象
     */
    UserOrderDetail queryById(Integer orderDetailId);

    /**
     * 新增数据
     *
     * @param userOrderDetail 实例对象
     * @return 实例对象
     */
    UserOrderDetail insert(UserOrderDetail userOrderDetail);

    /**
     * 修改数据
     *
     * @param userOrderDetail 实例对象
     * @return 实例对象
     */
    UserOrderDetail update(UserOrderDetail userOrderDetail);

    /**
     * 通过主键删除数据
     *
     * @param orderDetailId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer orderDetailId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);


}
