package com.hc.tripbusiness.service;

import com.github.pagehelper.PageInfo;
import com.hc.tripbusiness.model.UserOrders;
import org.springframework.stereotype.Component;


/**
 * 订单表(UserOrders)表服务接口
 *
 * @author java
 * @since 2021-04-30 17:01:29
 */

@Component
public interface UserOrdersService {

    /**
     * 通过ID查询单条数据
     *
     * @param ordersId 主键
     * @return 实例对象
     */
    UserOrders queryById(Integer ordersId);

    /**
     * 新增数据
     *
     * @param userOrders 实例对象
     * @return 实例对象
     */
    UserOrders insert(UserOrders userOrders);

    /**
     * 修改数据
     *
     * @param userOrders 实例对象
     * @return 实例对象
     */
    UserOrders update(UserOrders userOrders);

    /**
     * 通过主键删除数据
     *
     * @param ordersId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer ordersId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);


}
