package com.hc.tripbusiness.service;

import com.github.pagehelper.PageInfo;
import com.hc.tripbusiness.model.UserShop;
import org.springframework.stereotype.Component;


/**
 * 购物车表(UserShop)表服务接口
 *
 * @author java
 * @since 2021-04-30 17:01:30
 */

@Component
public interface UserShopService {

    /**
     * 通过ID查询单条数据
     *
     * @param userShopId 主键
     * @return 实例对象
     */
    UserShop queryById(Integer userShopId);

    /**
     * 新增数据
     *
     * @param userShop 实例对象
     * @return 实例对象
     */
    UserShop insert(UserShop userShop);

    /**
     * 修改数据
     *
     * @param userShop 实例对象
     * @return 实例对象
     */
    UserShop update(UserShop userShop);

    /**
     * 通过主键删除数据
     *
     * @param userShopId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer userShopId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);


}
