package com.hc.tripbusiness.service;

import com.github.pagehelper.PageInfo;
import com.hc.tripbusiness.model.UserTickets;
import org.springframework.stereotype.Component;


/**
 * 用户门票(UserTickets)表服务接口
 *
 * @author java
 * @since 2021-04-30 17:01:30
 */

@Component
public interface UserTicketsService {

    /**
     * 通过ID查询单条数据
     *
     * @param userTicketsId 主键
     * @return 实例对象
     */
    UserTickets queryById(Integer userTicketsId);

    /**
     * 新增数据
     *
     * @param userTickets 实例对象
     * @return 实例对象
     */
    UserTickets insert(UserTickets userTickets);

    /**
     * 修改数据
     *
     * @param userTickets 实例对象
     * @return 实例对象
     */
    UserTickets update(UserTickets userTickets);

    /**
     * 通过主键删除数据
     *
     * @param userTicketsId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer userTicketsId);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);


}
