package com.hc.tripbusiness.service;

import com.github.pagehelper.PageInfo;
import com.hc.tripbusiness.model.UsersRole;
import org.springframework.stereotype.Component;


/**
 * (UsersRole)表服务接口
 *
 * @author java
 * @since 2021-04-30 15:08:37
 */

@Component
public interface UsersRoleService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    UsersRole queryById(Integer id);

    /**
     * 新增数据
     *
     * @param usersRole 实例对象
     * @return 实例对象
     */
    UsersRole insert(UsersRole usersRole);

    /**
     * 修改数据
     *
     * @param usersRole 实例对象
     * @return 实例对象
     */
    UsersRole update(UsersRole usersRole);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);


}
