package com.hc.tripbusiness.service;

import com.github.pagehelper.PageInfo;
import com.hc.tripbusiness.model.Users;
import com.hc.tripbusiness.model.login.AccessEntity;
import org.springframework.stereotype.Component;


/**
 * (Users)表服务接口
 *
 * @author java
 * @since 2021-04-25 17:45:10
 */

@Component
public interface UsersService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    Users queryById(Long id);

    /**
     * 新增数据
     *
     * @param users 实例对象
     * @return 实例对象
     */
    Users insert(Users users);

    /**
     * 修改数据
     *
     * @param users 实例对象
     * @return 实例对象
     */
    Users update(Users users);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Long id);

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    PageInfo queryAllByLimit(int page, int size);

    /**
     * 微信官方用户登录
     *
     * @param appid
     * @param code
     * @return
     */
    String login(String appid, String code);

    /**
     * 依据openId 获取用户信息
     *
     * @param openId
     * @return
     */
    AccessEntity selectUserByOpenId(String openId);


}
