package com.hc.tripbusiness.service.impl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.hc.tripbusiness.model.NewsTagRelax;
import com.hc.tripbusiness.mapper.NewsTagRelaxMapper;
import com.hc.tripbusiness.service.NewsTagRelaxService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * (NewsTagRelax)表服务实现类
 *
 * @author java
 * @since 2021-04-30 14:03:25
 */

@Service("newsTagRelaxService")
public class NewsTagRelaxServiceImpl implements NewsTagRelaxService {

    private final NewsTagRelaxMapper newsTagRelaxMapper;

    public NewsTagRelaxServiceImpl(NewsTagRelaxMapper newsTagRelaxMapper) {
        this.newsTagRelaxMapper = newsTagRelaxMapper;
    }

    /**
     * 通过ID查询单条数据
     *
     * @param newsTagRelaxId 主键
     * @return 实例对象
     */
    @Override
    public NewsTagRelax queryById(Integer newsTagRelaxId) {
        return this.newsTagRelaxMapper.selectByPrimaryKey(newsTagRelaxId);
    }

    /**
     * 新增数据
     *
     * @param newsTagRelax 实例对象
     * @return 实例对象
     */
    @Override
    public NewsTagRelax insert(NewsTagRelax newsTagRelax) {
        newsTagRelax.setCreateTime(System.currentTimeMillis());
        this.newsTagRelaxMapper.insert(newsTagRelax);
        return newsTagRelax;
    }

    /**
     * 修改数据
     *
     * @param newsTagRelax 实例对象
     * @return 实例对象
     */
    @Override
    public NewsTagRelax update(NewsTagRelax newsTagRelax) {
        newsTagRelax.setUpdateTime(System.currentTimeMillis());
        this.newsTagRelaxMapper.updateByPrimaryKeySelective(newsTagRelax);
        return this.queryById(newsTagRelax.getNewsTagRelaxId());
    }

    /**
     * 通过主键删除数据
     *
     * @param newsTagRelaxId 主键
     * @return 是否成功
     */
    @Override
    public boolean deleteById(Integer newsTagRelaxId) {
        return this.newsTagRelaxMapper.deleteByPrimaryKey(newsTagRelaxId) > 0;
    }

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    @Override
    public PageInfo queryAllByLimit(int page, int size) {
        return PageHelper.startPage(page, size).doSelectPageInfo(this.newsTagRelaxMapper::selectAll);
    }
}
