package com.hc.tripbusiness.service.impl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.hc.tripbusiness.model.Roles;
import com.hc.tripbusiness.mapper.RolesMapper;
import com.hc.tripbusiness.service.RolesService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * (Roles)表服务实现类
 *
 * @author java
 * @since 2021-04-30 15:08:18
 */

@Service("rolesService")
public class RolesServiceImpl implements RolesService {

    private final RolesMapper rolesMapper;

    public RolesServiceImpl(RolesMapper rolesMapper) {
        this.rolesMapper = rolesMapper;
    }

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    @Override
    public Roles queryById(Integer id) {
        return this.rolesMapper.selectByPrimaryKey(id);
    }

    /**
     * 新增数据
     *
     * @param roles 实例对象
     * @return 实例对象
     */
    @Override
    public Roles insert(Roles roles) {
        this.rolesMapper.insert(roles);
        return roles;
    }

    /**
     * 修改数据
     *
     * @param roles 实例对象
     * @return 实例对象
     */
    @Override
    public Roles update(Roles roles) {
        this.rolesMapper.updateByPrimaryKeySelective(roles);
        return this.queryById(roles.getId());
    }

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    @Override
    public boolean deleteById(Integer id) {
        return this.rolesMapper.deleteByPrimaryKey(id) > 0;
    }

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    @Override
    public PageInfo queryAllByLimit(int page, int size) {
        return PageHelper.startPage(page, size).doSelectPageInfo(this.rolesMapper::selectAll);
    }
}
