package com.hc.tripbusiness.service.impl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.hc.tripbusiness.model.UsersRole;
import com.hc.tripbusiness.mapper.UsersRoleMapper;
import com.hc.tripbusiness.service.UsersRoleService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * (UsersRole)表服务实现类
 *
 * @author java
 * @since 2021-04-30 15:08:37
 */

@Service("usersRoleService")
public class UsersRoleServiceImpl implements UsersRoleService {

    private final UsersRoleMapper usersRoleMapper;

    public UsersRoleServiceImpl(UsersRoleMapper usersRoleMapper) {
        this.usersRoleMapper = usersRoleMapper;
    }

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    @Override
    public UsersRole queryById(Integer id) {
        return this.usersRoleMapper.selectByPrimaryKey(id);
    }

    /**
     * 新增数据
     *
     * @param usersRole 实例对象
     * @return 实例对象
     */
    @Override
    public UsersRole insert(UsersRole usersRole) {
        this.usersRoleMapper.insert(usersRole);
        return usersRole;
    }

    /**
     * 修改数据
     *
     * @param usersRole 实例对象
     * @return 实例对象
     */
    @Override
    public UsersRole update(UsersRole usersRole) {
        this.usersRoleMapper.updateByPrimaryKeySelective(usersRole);
        return this.queryById(usersRole.getId());
    }

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    @Override
    public boolean deleteById(Integer id) {
        return this.usersRoleMapper.deleteByPrimaryKey(id) > 0;
    }

    /**
     * 分页查询多条数据
     *
     * @param page 页码
     * @param size 查询条数
     * @return 对象列表
     */
    @Override
    public PageInfo queryAllByLimit(int page, int size) {
        return PageHelper.startPage(page, size).doSelectPageInfo(this.usersRoleMapper::selectAll);
    }
}
