package com.hc.tripweb.controller;

import com.hc.tripbusiness.model.NewsTagRelax;
import com.hc.tripbusiness.service.NewsTagRelaxService;
import com.hc.tripcore.utils.result.Result;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;


/**
 * (NewsTagRelax)表控制层
 *
 * @author java
 * @since 2021-04-30 14:03:25
 */

@RestController
@RequestMapping("/api/newsTagRelax")
public class NewsTagRelaxController {

    /**
     * 服务对象
     */
    private final NewsTagRelaxService newsTagRelaxService;

    public NewsTagRelaxController(NewsTagRelaxService newsTagRelaxService) {
        this.newsTagRelaxService = newsTagRelaxService;
    }

    @GetMapping("/{id}")
    @ApiOperation(value = "依据主键获取 NewsTagRelax", response = Result.class)
    public Result selectNewsTagRelax(@PathVariable("id") Integer id) {
        return Result.success(this.newsTagRelaxService.queryById(id));
    }

    @PostMapping("/insert")
    @ApiOperation(value = "新增 NewsTagRelax", response = Result.class)
    public Result addNewsTagRelax(@Valid @RequestBody NewsTagRelax newsTagRelax) {
        return Result.success(newsTagRelaxService.insert(newsTagRelax));
    }

    @PutMapping("/update")
    @ApiOperation(value = "修改 NewsTagRelax", response = Result.class)
    public Result updateNewsTagRelax(@RequestBody NewsTagRelax newsTagRelax) {
        return Result.success(newsTagRelaxService.update(newsTagRelax));
    }

    @DeleteMapping("/delete/{id}")
    @ApiOperation(value = "依据主键删除 NewsTagRelax", response = Result.class)
    public Result deleteNewsTagRelax(@PathVariable("id") Integer id) {
        return Result.success(newsTagRelaxService.deleteById(id));
    }

    @GetMapping("/list")
    @ApiOperation(value = "获取 NewsTagRelax列表(分页)", response = Result.class)
    public Result listNewsTagRelax(@RequestParam(defaultValue = "0") Integer page,
                                   @RequestParam(defaultValue = "0") Integer size) {
        return Result.success(newsTagRelaxService.queryAllByLimit(page, size));
    }


}
