/*
 Navicat Premium Data Transfer

 Source Server         : 腾讯云测试
 Source Server Type    : MySQL
 Source Server Version : 80024
 Source Host           : 1.116.136.247:3306
 Source Schema         : fenis_trip

 Target Server Type    : MySQL
 Target Server Version : 80024
 File Encoding         : 65001

 Date: 24/05/2021 15:23:49
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for banner
-- ----------------------------
DROP TABLE IF EXISTS `banner`;
CREATE TABLE `banner`  (
  `banner_id` int(0) NOT NULL AUTO_INCREMENT COMMENT 'ID主键',
  `banner_title` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '主题',
  `banner_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '广告连接',
  `banner_index` int(0) NOT NULL DEFAULT 0 COMMENT '索引',
  `target_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '点击后跳转的目的链接',
  `create_time` bigint(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` bigint(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`banner_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 10 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '广告表\r\n' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of banner
-- ----------------------------

-- ----------------------------
-- Table structure for hotel
-- ----------------------------
DROP TABLE IF EXISTS `hotel`;
CREATE TABLE `hotel`  (
  `hotel_id` int(0) NOT NULL AUTO_INCREMENT COMMENT '酒店id',
  `hotel_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '酒店名称',
  `hotel_logo` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '酒店logo',
  `hotel_content` blob NOT NULL COMMENT '酒店内容',
  `create_time` bigint(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` bigint(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`hotel_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '酒店表\r\n' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of hotel
-- ----------------------------

-- ----------------------------
-- Table structure for hotel_video
-- ----------------------------
DROP TABLE IF EXISTS `hotel_video`;
CREATE TABLE `hotel_video`  (
  `hotel_video_id` int(0) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `video_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '视频名称',
  `video_introduce` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '视频介绍',
  `video_index` int(0) NULL DEFAULT NULL COMMENT '排序字段',
  `video_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '资源地址',
  `hotel_id` int(10) UNSIGNED ZEROFILL NOT NULL COMMENT '酒店ID',
  `create_time` bigint(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` bigint(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`hotel_video_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '酒店视频表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of hotel_video
-- ----------------------------

-- ----------------------------
-- Table structure for news
-- ----------------------------
DROP TABLE IF EXISTS `news`;
CREATE TABLE `news`  (
  `news_id` int(0) NOT NULL AUTO_INCREMENT COMMENT '新闻id',
  `news_title` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '标题',
  `news_logo` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '标题配图',
  `news_content` blob NOT NULL COMMENT '新闻内容',
  `create_time` bigint(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` bigint(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`news_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 43 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '新闻表\r\n' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of news
-- ----------------------------

-- ----------------------------
-- Table structure for news_tag
-- ----------------------------
DROP TABLE IF EXISTS `news_tag`;
CREATE TABLE `news_tag`  (
  `tag_id` int(0) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `tag_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '类别名称',
  `create_time` bigint(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` bigint(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`tag_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '新闻标签表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of news_tag
-- ----------------------------

-- ----------------------------
-- Table structure for news_tag_relax
-- ----------------------------
DROP TABLE IF EXISTS `news_tag_relax`;
CREATE TABLE `news_tag_relax`  (
  `news_tag_relax_id` int(0) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `tag_id` int(0) NULL DEFAULT NULL COMMENT '标签id',
  `news_id` int(0) NULL DEFAULT NULL COMMENT '新闻id',
  `create_time` bigint(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` bigint(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`news_tag_relax_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of news_tag_relax
-- ----------------------------

-- ----------------------------
-- Table structure for permissions
-- ----------------------------
DROP TABLE IF EXISTS `permissions`;
CREATE TABLE `permissions`  (
  `id` int(0) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `name` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '权限名称',
  `parent_id` int(0) NULL DEFAULT NULL COMMENT '父级id',
  `level_id` int(0) NULL DEFAULT NULL COMMENT '层级id',
  `description` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '描述',
  `permissions_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '路由地址',
  `sort` int(0) NULL DEFAULT NULL COMMENT '排序',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of permissions
-- ----------------------------

-- ----------------------------
-- Table structure for role_permission
-- ----------------------------
DROP TABLE IF EXISTS `role_permission`;
CREATE TABLE `role_permission`  (
  `id` int(0) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `role_id` int(0) NOT NULL COMMENT '角色id',
  `permission_id` int(0) NOT NULL COMMENT '权限id',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of role_permission
-- ----------------------------

-- ----------------------------
-- Table structure for roles
-- ----------------------------
DROP TABLE IF EXISTS `roles`;
CREATE TABLE `roles`  (
  `id` int(0) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '角色名称',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of roles
-- ----------------------------

-- ----------------------------
-- Table structure for scenery
-- ----------------------------
DROP TABLE IF EXISTS `scenery`;
CREATE TABLE `scenery`  (
  `scenery_id` int(0) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `scenery_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '景区名称',
  `scenery_notes` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '景点公告',
  `scenery_index` int(0) NULL DEFAULT NULL COMMENT '景点排序',
  `scenery_introduce` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '景点介绍',
  `scenery_logo` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '景点Logo',
  `create_time` bigint(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` bigint(0) NULL DEFAULT NULL COMMENT '修改时间',
  `start_time` bigint(0) NULL DEFAULT NULL COMMENT '开放时间',
  `end_time` bigint(0) NULL DEFAULT NULL COMMENT '结束时间',
  `phone` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '联系电话',
  `website` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '官网',
  `traffic` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '交通',
  PRIMARY KEY (`scenery_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '景点表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of scenery
-- ----------------------------
INSERT INTO `scenery` VALUES (1, '红山森林动物园', 'string', 0, '红毛猩猩是动物园的“镇园之宝”', 'string', 0, 0, 0, 0, '18530065188', 'string', '红山森林动物园/火车站北广场，距我5.7km');
INSERT INTO `scenery` VALUES (2, '南京总统府', 'string', 1, '见证六个世纪得历史变迁', 'string', 0, 0, 0, 0, '15039108221', 'string', '总统府/1912商圈，距我1.1km');

-- ----------------------------
-- Table structure for scenery_picture
-- ----------------------------
DROP TABLE IF EXISTS `scenery_picture`;
CREATE TABLE `scenery_picture`  (
  `scenery_picture_id` int(0) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `picture_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '图片名称',
  `picture_url` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '图片地址',
  `picture_introduce` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '图片介绍',
  `picture_index` int(0) NULL DEFAULT NULL COMMENT '图片排序',
  `scenery_id` int(0) NOT NULL COMMENT '景区id',
  `create_time` bigint(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` bigint(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`scenery_picture_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '景点图片表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of scenery_picture
-- ----------------------------

-- ----------------------------
-- Table structure for scenery_tag
-- ----------------------------
DROP TABLE IF EXISTS `scenery_tag`;
CREATE TABLE `scenery_tag`  (
  `scenery_tag_id` int(0) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `tag_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '景区标签',
  `create_time` bigint(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` bigint(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`scenery_tag_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '景点标签' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of scenery_tag
-- ----------------------------

-- ----------------------------
-- Table structure for scenery_tickets
-- ----------------------------
DROP TABLE IF EXISTS `scenery_tickets`;
CREATE TABLE `scenery_tickets`  (
  `scenery_ticket_id` int(0) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `tickets_type_id` int(0) NULL DEFAULT NULL COMMENT '景区门票类型',
  `tickets_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '门票名字',
  `tickets_price` decimal(11, 2) NULL DEFAULT NULL COMMENT '门票价格',
  `ticket_introduce` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '门票介绍',
  `tickets_logo` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '门票logo',
  `scenery_id` int(0) NOT NULL COMMENT '景区id',
  `ticket_sell_num` int(0) NULL DEFAULT NULL COMMENT '销售数量 ',
  `create_time` bigint(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` bigint(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`scenery_ticket_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '景点门票表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of scenery_tickets
-- ----------------------------
INSERT INTO `scenery_tickets` VALUES (1, 1, '测试', 100.00, '测试', 'string', 1, 100, 1600000, 1600000);
INSERT INTO `scenery_tickets` VALUES (2, 1, '门票名称', 0.01, '门票介绍', '门票图片路径', 1, 0, NULL, NULL);

-- ----------------------------
-- Table structure for scenery_tickets_type
-- ----------------------------
DROP TABLE IF EXISTS `scenery_tickets_type`;
CREATE TABLE `scenery_tickets_type`  (
  `tickets_type_id` int(0) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `ticket_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '门票类型名称',
  `create_time` bigint(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` bigint(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`tickets_type_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '门票类型表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of scenery_tickets_type
-- ----------------------------
INSERT INTO `scenery_tickets_type` VALUES (1, '成人票', NULL, NULL);
INSERT INTO `scenery_tickets_type` VALUES (2, '儿童票', NULL, NULL);

-- ----------------------------
-- Table structure for scenery_video
-- ----------------------------
DROP TABLE IF EXISTS `scenery_video`;
CREATE TABLE `scenery_video`  (
  `scenery_video_id` int(0) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `video_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '视频名称',
  `video_introduce` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '视频介绍',
  `video_index` int(0) NULL DEFAULT NULL COMMENT '排序字段',
  `video_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '资源地址',
  `scenery_id` int(0) NOT NULL COMMENT '外键',
  `create_time` bigint(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` bigint(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`scenery_video_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '景点视频表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of scenery_video
-- ----------------------------

-- ----------------------------
-- Table structure for user_order_detail
-- ----------------------------
DROP TABLE IF EXISTS `user_order_detail`;
CREATE TABLE `user_order_detail`  (
  `order_detail_id` int(0) NOT NULL COMMENT '主键id',
  `order_id` int(0) NULL DEFAULT NULL COMMENT '订单id',
  `scenery_ticket_id` int(0) NULL DEFAULT NULL COMMENT '门票id',
  `num` int(0) NULL DEFAULT NULL COMMENT '购买数量',
  `create_time` bigint(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` bigint(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`order_detail_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '订单详情表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of user_order_detail
-- ----------------------------

-- ----------------------------
-- Table structure for user_orders
-- ----------------------------
DROP TABLE IF EXISTS `user_orders`;
CREATE TABLE `user_orders`  (
  `orders_id` int(0) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `order_no` varchar(45) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '订单号',
  `user_id` int(0) NOT NULL COMMENT '用户id',
  `body` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '商品介绍',
  `subject` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '订单名称',
  `total_amount` decimal(11, 2) NOT NULL COMMENT '订单总金额',
  `order_status` int(0) NULL DEFAULT NULL COMMENT '订单状态',
  `is_de` int(0) NULL DEFAULT NULL COMMENT '是否删除',
  `ali_trade_no` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '支付宝交易号',
  `wx_trade_no` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '微信交易号',
  `user_invoices_id` int(0) NULL DEFAULT NULL COMMENT '发票id',
  `create_time` bigint(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` bigint(0) NULL DEFAULT NULL COMMENT '修改时间',
  `version` int(0) NULL DEFAULT NULL COMMENT '乐观锁',
  PRIMARY KEY (`orders_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '订单表' ROW_FORMAT = Compact;

-- ----------------------------
-- Records of user_orders
-- ----------------------------

-- ----------------------------
-- Table structure for user_shop
-- ----------------------------
DROP TABLE IF EXISTS `user_shop`;
CREATE TABLE `user_shop`  (
  `user_shop_id` int(0) NOT NULL COMMENT '主键',
  `user_id` int(0) NULL DEFAULT NULL COMMENT '用户id',
  `scenery_ticket_id` int(0) NULL DEFAULT NULL COMMENT '门票id',
  `num` int(0) NULL DEFAULT NULL COMMENT '数量id',
  `create_time` bigint(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` bigint(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`user_shop_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '购物车表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of user_shop
-- ----------------------------

-- ----------------------------
-- Table structure for user_tickets
-- ----------------------------
DROP TABLE IF EXISTS `user_tickets`;
CREATE TABLE `user_tickets`  (
  `user_tickets_id` int(0) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `scenery_ticket_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '门票id',
  `tickets_pass` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '票密码(保留)',
  `tickets_no` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '票号',
  `tickets_code` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '二维码地址',
  `tickets_time` bigint(0) NULL DEFAULT NULL COMMENT '门票得有效期时间',
  `user_id` int(0) NULL DEFAULT NULL COMMENT '用户id',
  `is_use` tinyint(0) NOT NULL COMMENT '是否使用',
  `used_time` bigint(0) NULL DEFAULT NULL COMMENT '使用时间戳',
  `create_time` bigint(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` bigint(0) NULL DEFAULT NULL COMMENT '修改时间',
  `version` int(0) NULL DEFAULT NULL COMMENT '乐观锁',
  PRIMARY KEY (`user_tickets_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户门票' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of user_tickets
-- ----------------------------

-- ----------------------------
-- Table structure for users
-- ----------------------------
DROP TABLE IF EXISTS `users`;
CREATE TABLE `users`  (
  `id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `username` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '用户名',
  `password` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '密码',
  `user_logo` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '用户头像',
  `nickname` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '社区昵称',
  `gender` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '性别',
  `openid` varchar(1024) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '微信openid',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 16 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of users
-- ----------------------------
INSERT INTO `users` VALUES (10, NULL, NULL, NULL, NULL, NULL, 'owjUD5dEt9nxwbkI0rnhuBIXEeRM');
INSERT INTO `users` VALUES (11, NULL, NULL, NULL, NULL, NULL, 'o94Uw5N9fgp4FXrklZ5bEs0AW5-U');
INSERT INTO `users` VALUES (12, NULL, NULL, NULL, NULL, NULL, 'o94Uw5OuN_TH5jEbi2novb0w8rnM');
INSERT INTO `users` VALUES (14, NULL, NULL, NULL, NULL, NULL, 'o94Uw5NRI9Gy1-WIi2Ak2rsCEetE');
INSERT INTO `users` VALUES (15, NULL, NULL, NULL, NULL, NULL, 'o94Uw5AXcSNpHIITcftos9q_1Aig');

-- ----------------------------
-- Table structure for users_role
-- ----------------------------
DROP TABLE IF EXISTS `users_role`;
CREATE TABLE `users_role`  (
  `id` int(0) NOT NULL AUTO_INCREMENT COMMENT '主键',
  `role_id` int(0) NOT NULL COMMENT '角色信息',
  `user_id` int(0) NOT NULL COMMENT '用户信息',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of users_role
-- ----------------------------

-- ----------------------------
-- Table structure for wifi
-- ----------------------------
DROP TABLE IF EXISTS `wifi`;
CREATE TABLE `wifi`  (
  `wifi_id` int(0) NOT NULL AUTO_INCREMENT,
  `wifi_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT 'wifi跳转PORTAL',
  `create_time` bigint(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` bigint(0) NULL DEFAULT NULL COMMENT '修改时间',
  PRIMARY KEY (`wifi_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'wifi接入portal地址表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of wifi
-- ----------------------------

SET FOREIGN_KEY_CHECKS = 1;
